---
title: Exploring the narrative functionality using the ongoing mumps epidemic in North America
authors: "James Hadfield"
authorLinks: "https://twitter.com/hamesjadfield"
affiliations: "Fred Hutch, Seattle, USA"
date: "August 2018"
dataset: "https://nextstrain.org/mumps/na?d=tree"
abstract: "This content is here to test the potential of the nextstrain (auspice) narrative functionality. It uses the Publicly available North American mumps dataset [here](https://www.nextstrain.org/mumps/na) to explore what's possible using narratives."
---


# [Map View](https://nextstrain.org/mumps/na?d=map)

We can control which panels are displayed, for instance choosing to show only the map.

# [Looping Animation](https://nextstrain.org/mumps/na?animate=2009-01-22,2017-07-22,1,0,15000&d=map)

Since we control what's displayed, we can change visualisation features such as colour, subset the data using filters and time slices, and even turn on looping animation.

# [Phylogenies](https://nextstrain.org/mumps/na?d=tree&dmax=2014-07-14&dmin=2012-03-30&p=full)

Here we've returned to the map and begun slicing time.

# [Explore clock signal](https://nextstrain.org/mumps/na?d=tree&l=clock&p=full)

Different tree layouts are possible, this one shows the temporal divergence vs. inferred substitutions to see the presence of a constant clock signal.



# [Twitter](https://nextstrain.org/mumps/na?d=tree&l=clock&p=full)

By copying the text from twitter's "embed tweet" feature, we can render tweets in the narrative.

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">Harvard mumps outbreak, 2016: because vaccines aren&#39;t 100% effective. Efficacy of mumps vaccine for 1 dose is 78%, for 2 doses is 88%. Lots of people in close contact with less hygienic habits can lead to an outbreak of 40 students with mumps <a href="https://t.co/w3F5a27FLk">https://t.co/w3F5a27FLk</a></p>&mdash; Anke Jaanen (@AnkeJaanen) <a href="https://twitter.com/AnkeJaanen/status/1034342706745692161?ref_src=twsrc%5Etfw">August 28, 2018</a></blockquote>


# [Mutations I](https://nextstrain.org/mumps/na?c=gt-SH_22&d=tree,entropy&p=full)

Here we have coloured the tree according to a single mutation (residue 22 in the SH gene) where there are two variants present in this dataset -- yellow tips have a Methionine (`M`) at this position, while aqua nodes indicate Isoleucine (`I`).

# [Mutations II](https://nextstrain.org/mumps/na?c=gt-SH_22&d=tree,entropy&p=full&f_division=british_columbia)

Here we have coloured the tree according to a single mutation (residue 22 in the SH gene) where there are two variants present in this dataset -- yellow tips have a Methionine (`M`) at this position, while aqua nodes indicate Isoleucine (`I`).


In addition, we've subsetted the data to isolates collected from British Columbia. You can see that all of the isolates with `M` come from BC!

# [Mutations III](https://nextstrain.org/mumps/na?c=gt-nuc_6270,6289,6294,6295,6308,6321,6359,6303,6304,6306,6313,6329,6340,6269,6264,6245&d=tree,entropy&p=full)

We can pick multiple genotype positions to see them in combination.
Here we combine all the nucleotide mutations in the SH gene into a single colouring.
This is the result one would get by the "normal" method of Mumps typing -- you can see how much resolution is gained by examining whole genomes.

# [Conclusion](https://nextstrain.org/mumps/na?c=num_date&p=grid&l=unrooted)


...
