---
title: Twenty years of West Nile virus evolution and spread in the United States visualized by Nextstrain
authors: James Hadfield, Daniele Swetnam, Chantal Vogels, Ryan Tokarz, Anderson Brito (figures), Ryan Smith, Trevor Bedford, Nathan Grubaugh
authorLinks: "to do"
affiliations: "Fred Hutch, Seattle, USA"
date: "June 2019"
dataset: "https://nextstrain.org/WNV/NA?d=map&p=full"
abstract: "It has been twenty years since West Nile virus first emerged in the Americas, and since, little progress has been made to control outbreaks. This page presents an interactive story describing the spread of the disease, how it morphed from an emerging pathogen to an endemic disease with an extimated 7 million human infections. By scrolling through this narrative we tell the story of the introduction of West Nile virus in the United States, followed by its rapid spread, establishment of endemic transmission, and evolution in a new environment. 
"
---


# [Twenty years ago...](https://nextstrain.org/WNV/NA?d=map&p=full&dmax=1999-06-01&dmin=1998-07-22)

In 1999 West Nile Virus (WNV) was first detected in New York. 
_How was it detected? What were the news reports etc etc (apparently there's some mystery here)_

Retrospective genome sequecing allows us to infer that it first arrived in New York between Christmas 1997 and March 1999.
Here we are viewing our (retrospective) understanding of where the virus was in June 1999. _Talk about the fact that we already see it spreading, or does this overly complicate this message?_


# [The first three years](https://nextstrain.org/WNV/NA?d=map&p=full&animate=1998-07-22,2002-01-01,1,0,15000)

By 2001, WNV was detected in _x_ states. The pattern of spread is westward, following a dispersion model _(has anyone modelled this?)._


# [The 2000s](https://nextstrain.org/WNV/NA?d=map&p=full&animate=2002-01-01,2019-01-01,1,0,15000)
In the 2000s the virus reached the west coast and become endemic.
The spread was facilitated by numerous susceptible hosts (birds), and competent vectors (Culex) as we shall soon see.
The hypothesis for this rapid spread is:


# [Current situation](https://nextstrain.org/WNV/NA?d=map&p=full)
Spread velocity, when reached West Coast, when slowed down.



# [Phylogenies](https://nextstrain.org/mumps/na?d=tree&dmax=2014-07-14&dmin=2012-03-30&p=full)

Here we've returned to the map and begun slicing time.

# [Explore clock signal](https://nextstrain.org/mumps/na?d=tree&l=clock&p=full)

Different tree layouts are possible, this one shows the temporal divergence vs. inferred substitutions to see the presence of a constant clock signal.



# [Twitter](https://nextstrain.org/mumps/na?d=tree&l=clock&p=full)

By copying the text from twitter's "embed tweet" feature, we can render tweets in the narrative.

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">Harvard mumps outbreak, 2016: because vaccines aren&#39;t 100% effective. Efficacy of mumps vaccine for 1 dose is 78%, for 2 doses is 88%. Lots of people in close contact with less hygienic habits can lead to an outbreak of 40 students with mumps <a href="https://t.co/w3F5a27FLk">https://t.co/w3F5a27FLk</a></p>&mdash; Anke Jaanen (@AnkeJaanen) <a href="https://twitter.com/AnkeJaanen/status/1034342706745692161?ref_src=twsrc%5Etfw">August 28, 2018</a></blockquote>


# [Mutations I](https://nextstrain.org/mumps/na?c=gt-SH_22&d=tree,entropy&p=full)

Here we have coloured the tree according to a single mutation (residue 22 in the SH gene) where there are two variants present in this dataset -- yellow tips have a Methionine (`M`) at this position, while aqua nodes indicate Isoleucine (`I`).

# [Mutations II](https://nextstrain.org/mumps/na?c=gt-SH_22&d=tree,entropy&p=full&f_division=british_columbia)

Here we have coloured the tree according to a single mutation (residue 22 in the SH gene) where there are two variants present in this dataset -- yellow tips have a Methionine (`M`) at this position, while aqua nodes indicate Isoleucine (`I`).


In addition, we've subsetted the data to isolates collected from British Columbia. You can see that all of the isolates with `M` come from BC!

# [Mutations III](https://nextstrain.org/mumps/na?c=gt-nuc_6270,6289,6294,6295,6308,6321,6359,6303,6304,6306,6313,6329,6340,6269,6264,6245&d=tree,entropy&p=full)

We can pick multiple genotype positions to see them in combination.
Here we combine all the nucleotide mutations in the SH gene into a single colouring.
This is the result one would get by the "normal" method of Mumps typing -- you can see how much resolution is gained by examining whole genomes.

# [Conclusion](https://nextstrain.org/mumps/na?c=num_date&p=grid&l=unrooted)


...
